curl --request POST \
--url https://api.cekura.ai/test_framework/v1/runs/{id}/chat/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"content": "<string>",
"metadata": {},
"data": {}
}
'import requests
url = "https://api.cekura.ai/test_framework/v1/runs/{id}/chat/"
payload = {
"content": "<string>",
"metadata": {},
"data": {}
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', metadata: {}, data: {}})
};
fetch('https://api.cekura.ai/test_framework/v1/runs/{id}/chat/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/test_framework/v1/runs/{id}/chat/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'metadata' => [
],
'data' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/test_framework/v1/runs/{id}/chat/"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"metadata\": {},\n \"data\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/test_framework/v1/runs/{id}/chat/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"metadata\": {},\n \"data\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/test_framework/v1/runs/{id}/chat/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"metadata\": {},\n \"data\": {}\n}"
response = http.request(request)
puts response.read_body{
"run_id": 123,
"result_id": 123,
"turn_id": 123,
"status": "<string>"
}Submit API Chat Turn
Submit your agent’s message on an API chat run. The reply is generated in the background — poll the returned turn for it.
curl --request POST \
--url https://api.cekura.ai/test_framework/v1/runs/{id}/chat/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"content": "<string>",
"metadata": {},
"data": {}
}
'import requests
url = "https://api.cekura.ai/test_framework/v1/runs/{id}/chat/"
payload = {
"content": "<string>",
"metadata": {},
"data": {}
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', metadata: {}, data: {}})
};
fetch('https://api.cekura.ai/test_framework/v1/runs/{id}/chat/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/test_framework/v1/runs/{id}/chat/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'metadata' => [
],
'data' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/test_framework/v1/runs/{id}/chat/"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"metadata\": {},\n \"data\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/test_framework/v1/runs/{id}/chat/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"metadata\": {},\n \"data\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/test_framework/v1/runs/{id}/chat/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"metadata\": {},\n \"data\": {}\n}"
response = http.request(request)
puts response.read_body{
"run_id": 123,
"result_id": 123,
"turn_id": 123,
"status": "<string>"
}Authorizations
API Key Authentication. It should be included in the header of each request.
Path Parameters
A unique integer value identifying this run.
Body
Request body for POST /runs/{run_id}/chat/ (submit one turn). Same message shape
as the websocket chat integration: a normal message (content), optional metadata
merged into the run, and/or a function call (role + data).
Your agent-under-test's latest message. Submitting it returns a turn_id; poll GET /runs/{run_id}/chat/{turn_id}/ for the simulated user's reply.
Optional metadata merged into the run (last-write-wins). Can be sent alone.
Show child attributes
Show child attributes
Set to record a tool call instead of a message (no reply is generated).
Function Call- Function CallFunction Call Result- Function Call Result
Function Call, Function Call Result Function-call payload: {id, name, arguments} for a call, {id, result} for a result.
Show child attributes
Show child attributes